{
  config,
  lib,
  ...
}: let
  cfg = config.marleyos.programs.zoxide;
in {
  options.marleyos.programs.zoxide.enable = lib.mkEnableOption "zoxide";

  config = lib.mkIf cfg.enable {
    programs.zoxide = {
      enable = true;

      options = ["--cmd cd"];
    };
  };
}
